Bug 653144 - [abrt] gwibber-1:2.33.0-12.894bzr.fc14: urllib2.py:1148:do_open:URLError: <urlopen error [Errno 8] _ssl.c:499: EOF occurred in violation of protocol>
Summary: [abrt] gwibber-1:2.33.0-12.894bzr.fc14: urllib2.py:1148:do_open:URLError: <ur...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gwibber
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f927a57b
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-14 17:20 UTC by Arun Prakash
Modified: 2012-08-16 21:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 21:03:16 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.46 KB, text/plain)
2010-11-14 17:20 UTC, Arun Prakash
no flags Details

Description Arun Prakash 2010-11-14 17:20:26 UTC
abrt version: 1.1.13
architecture: i686
cmdline: /usr/bin/python /usr/bin/gwibber-accounts
component: gwibber
executable: /usr/bin/gwibber-accounts
kernel: 2.6.35.6-48.fc14.i686
package: gwibber-1:2.33.0-12.894bzr.fc14
reason: urllib2.py:1148:do_open:URLError: <urlopen error [Errno 8] _ssl.c:499: EOF occurred in violation of protocol>
release: Fedora release 14 (Laughlin)
time: 1289755145
uid: 500

backtrace
-----
urllib2.py:1148:do_open:URLError: <urlopen error [Errno 8] _ssl.c:499: EOF occurred in violation of protocol>

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gwibber/lib/gtk/buzz.py", line 66, in on_buzz_auth_clicked
    tokendata = urllib2.urlopen(request.http_url, request.to_postdata()).read()
  File "/usr/lib/python2.7/urllib2.py", line 126, in urlopen
    return _opener.open(url, data, timeout)
  File "/usr/lib/python2.7/urllib2.py", line 391, in open
    response = self._open(req, data)
  File "/usr/lib/python2.7/urllib2.py", line 409, in _open
    '_open', req)
  File "/usr/lib/python2.7/urllib2.py", line 369, in _call_chain
    result = func(*args)
  File "/usr/lib/python2.7/urllib2.py", line 1181, in https_open
    return self.do_open(httplib.HTTPSConnection, req)
  File "/usr/lib/python2.7/urllib2.py", line 1148, in do_open
    raise URLError(err)
URLError: <urlopen error [Errno 8] _ssl.c:499: EOF occurred in violation of protocol>

Local variables in innermost frame:
err: SSLError(8, '_ssl.c:499: EOF occurred in violation of protocol')
h: <httplib.HTTPSConnection instance at 0x8f4812c>
self: <urllib2.HTTPSHandler instance at 0x8f4460c>
req: <urllib2.Request instance at 0x8f4802c>
headers: {'Content-Length': '285', 'Host': 'www.google.com', 'Content-Type': 'application/x-www-form-urlencoded', 'Connection': 'close', 'User-Agent': 'Python-urllib/2.7'}
host: 'www.google.com'
http_class: <class httplib.HTTPSConnection at 0x8e6089c>

How to reproduce
-----
1.when login
2.
3.

Comment 1 Arun Prakash 2010-11-14 17:20:48 UTC
Created attachment 460386 [details]
File: backtrace

Comment 2 babanna.duggani 2011-02-18 17:10:52 UTC
Package: gwibber-1:2.33.0-12.894bzr.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.I installed Gwibber by $yum install gwibber. 
2. And I opened it for the first time.
3. When i clicked on add Twitter account, it crashed.

Comment 3 Fedora End Of Life 2012-08-16 21:03:19 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.